SYSTEMD-SYSCTL.SERVICE(8)

BEZEICHNUNG
systemd-sysctl.service, systemd-sysctl - Kernel-Parameter beim Systemstart einrichten

ÜBERSICHT

/usr/lib/systemd/systemd-sysctl [OPTIONEN…] [KONFIGURATIONSDATEI…]

systemd-sysctl.service

BESCHREIBUNG

Systemd-sysctl.service ist ein Dienst in der frühen Phase des Systemstarts, der die Kernel-Parameter für sysctl(8) durch Aufruf von /usr/lib/systemd/systemd-sysctl einrichtet.

Wenn beim Aufruf keine Argumente angegeben werden, wendet /usr/lib/systemd/systemd-sysctl alle Anweisungen aus den in sysctl.d(5) aufgeführten Konfigurationsdateien an. Werden in der Befehlszeile ein oder mehrere Dateinamen übergeben, dann werden nur die Anweisungen aus diesen Dateien angewendet.

Zusätzlich kann die Option --prefix= verwandt werden, um die anzuwendenen Sysctl-Einstellungen einzuschränken.

Siehe sysctl.d(5) für Information über die Konfiguration von Sysctl-Einstellungen. Nachdem die Sysctl-Konfiguration auf der Platte geändert wurde, muss sie in die Dateien in /proc/sys geschrieben werden, bevor sie wirkt. Es ist möglich, spezielle Einstellungen zu aktualisieren oder einfach die gesamte Konfiguration neu zu laden, siehe Beispiele unten.

OPTIONEN

--prefix=
    wendet nur Regeln mit dem angegebenen Präfix an.

--cat-config
    Kopiert den Inhalt der Konfigurationsdateien in die Standardausgabe. Vor jeder Datei wird der Dateiname als Kommentar ausgegeben.

--no-pager
    Die Ausgabe nicht an ein Textanzeigeprogramm weiterleiten.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

BEISPIELE

Beispiel 1. Alle Sysctl-Einstellungen zurücksetzen

    systemctl restart systemd-sysctl

Beispiel 2. Anzeigen der Coredump-Handler-Einstellungen

    # sysctl kernel.core_pattern
    kernel.core_pattern = |/usr/libexec/abrt-hook-ccpp %s %c %p %u %g %t %P %I

Beispiel 3. Aktualisieren der Coredump-Handler-Einstellungen

    # /usr/lib/systemd/systemd-sysctl --prefix kernel.core_pattern

Dies durchsucht alle in sysctl.d(5) aufgeführten Verzeichnisse nach Konfigurationsdateien und schreibt /proc/sys/kernel/core_pattern.

Beispiel 4. Aktualisieren der Coredump-Handler-Einstellungen gemäß einer angegebenen Datei

    # /usr/lib/systemd/systemd-sysctl 50-coredump.conf

Dies wendet alle in 50-coredump.conf gefundenen Einstellungen an. In der Reihenfolge der Voreinstellungen wird entweder /etc/sysctl.d/50-coredump.conf, /run/sysctl.d/50-coredump.conf, oder /usr/lib/sysctl.d/50-coredump.conf verwandt.

Siehe sysctl(8) für verschiedene Arten, Sysctl-Einstellungen direkt anzuwenden.

SIEHE AUCH

systemd(1), sysctl.d(5), sysctl(8),

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Dr. Tobias Quathamer <toddy@debian.org>, Helge Kreutzmann <debian@helgefjell.de> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.